<?php

$mime_actions["application/pgp"] = 
	@array( 
		"action" => "default", 
		"view" => true, 
		"inline" => true, 
		"view_function" => "mime_view_text", 
		"download" => true, 
		"icon" => "mime_text.gif" 
	); 

$mime_actions["image/"] = 
	@array( 
		"action" => "function", 
		"function" => "mime_action_images", 
		"view" => true, 
		"download" => true, 
		"icon" => "mime_image.gif" 
	); 

$mime_actions["application/msword"] = 
	@array( 
		"action" => "default", 
		"view" => true, 
		"view_function" => "mime_view_msword", 
		"download" => true, 
		"icon" => "mime_msword.gif" 
	); 

$mime_actions["application/x-neomail-data"] = 
	@array( 
		"action" => "function", 
		"function" => "mime_action_xneomaildata", 
		"view" => false, 
		"download" => false, 
		"icon" => "mime_broken.gif" 
	); 

$mime_actions['application/x-gtar'] = 
	@array( 
		"action" => "default", 
		"view" => true, 
		"view_function" => "mime_view_tgz", 
		"download" => true, 
		"icon" => "mime_compressed.gif" 
	);       

$mime_actions["text/html"] = 
	@array( 
		"action" => "default", 
		"view" => true, 
		"inline" => true, 
		"override_text" => false, 
		"view_function" => "mime_view_html", 
		"download" => true, 
		"icon" => "mime_html.gif"
	);

?>
