<?php

$need_neo_db = 0;
$db_lib_loaded = 0;

require ('./lib/neo.lib');
require ('./lib/neomail.lib');
require ('./config/defaults.php3');
require ('./config/neo.php3');
require('./config/html.php3');

if(!isset($language)) { 
	$language = select_lang2(); 
}

$session = create_session_object();

require ("./locale/$language/login.lang");
require ('./locale/local/login.lang');
$help_file = 'login.help';
require ("./locale/defines/$help_file");

if(!($fp=fopen("./dat/default.dat","r")))
	echo("Failed to open the file");

$buffer=fread($fp,filesize("./dat/default.dat"));
fclose($fp);
              
$d_data=explode("\n",$buffer);

for($i=0;$i<61;$i++)  
	$d_data[$i]=chop($d_data[$i]);

for($i=0;$i<61;$i++) {
	if($d_data[$i] == 'true') 
		$d_data[$i] = 1;
	elseif($d_data[$i] == 'false') 
		$d_data[$i] = 0;	
}

$this_client = new WebClient;

error_reporting($default->error_level);
caching_headers();

$imap_server=$default->server;

if (isset($actionID)) {
	$reason = 'login';

	switch ($actionID) {

	case NO_ACTION:
		$session->set_user('');  
		$session->initialize();
		$session->set_lang($language);
		require("$default->include_dir/doctype.inc");
		require("$default->include_dir/header-login.inc" );
		break;

	case NEOMAIL_LOGIN:
		$vuser = $user;
		$user =$user.".".$server;
		$sidebar = true;
		$mbox = validate_login($imap_server, $port, $mailbox, $user, $pass, '',1);
		imap_close($mbox);

		if (isset($mbox) && (!$mbox)) {
			require("$default->include_dir/doctype.inc");
			require("$default->include_dir/header-login.inc" );
			status("passwd: Authentication failure");
			include( "$default->include_dir/generic-footer.inc");
			exit;
		}
		else {
			$user    = $session->set_user($vuser);
			$server  = $session->set_server($server);
			$port    = $session->set_port($port);
			$folders = $session->set_folder($folders);
		}

		require("$default->include_dir/doctype.inc");
		require("$default->include_dir/header-login.inc" );

		echo '<script language="JavaScript">'
			. 'parent.location = "'
			. "login.php3?actionID=" . NEOMAIL_MAINWIN
			. '";</script>';

		include( "$default->include_dir/generic-footer.inc");   
		exit;
		break;

	case NEOMAIL_MAINWIN:
		require("$default->include_dir/doctype.inc");
		echo "<html><title>$lang->welcome_to_neomail</title>\n";
		include( './templates/login/main_frames.inc' );
		echo '</html>';
		exit;

	case NEOMAIL_LOGOUT:
		require("$default->include_dir/doctype.inc");
		echo '<head></head><body>';
		echo '<script language="JavaScript">parent.self.close();</script>';
		include( "$default->include_dir/generic-footer.inc");
		exit;
		break;

	case WEB_LOGIN:
		User_Login($user, $pass, $server);
		break;
	
	case WEB_USERDEL:
		User_Del($user);
		exit;
		break;
	
	case WEB_CREATE:
		CheckUserDB($user, $pass, $server);
		exit;
		break;
	}
}
else {
	$session->set_user('');  
	$session->initialize();
	$session->set_lang($language);

	if (!isset($reason)) { 
		$reason = 'login'; 
	}

	require("$default->include_dir/doctype.inc");
	require("$default->include_dir/header-login.inc" );
	status($lang->welcome_to_neomail);
}

$langs = '<select name="new_lang" onchange="selectLang()">';

while (list($key, $val) = each($lang->lang)) {
	if ($key == $language) 
		$sel = ' SELECTED';
	else 
		$sel = '';

	$langs .= "<option value=\"$key\"$sel>$val</option>\n";
}

$langs .= '</select>';

include("$default->include_dir/login/login.inc");
include( "./config/MOTD.html" );
include( "$default->include_dir/generic-footer.inc");

?>
