<?php 
# ܺ  

$need_neo_db = 1; 
$db_lib_loaded = 0; 

# ʿԼ require
include ('./lib/neo.lib'); 
require( './lib/neomail.lib' ); 
require( './config/defaults.php3' ); 
require('./config/html.php3'); 
require( './lib/pop3.lib' ); 

#  
$language = select_lang(); 

# ¿  locale о
require ("./locale/$language/pop3.lang"); 
require ("./locale/local/pop3.lang"); 

$this_client = new WebClient; 

error_reporting($default->error_level); 
caching_headers(); 

#   о
$session = create_session_object(); 
$user = $session->get_user(); 
$pass = $session->get_password($user); 
$server = $session->get_server(); 
$port = $session->get_port(); 
$folders = $session->get_folder(); 
$Uindex = $session->get_uid(); 

$mailbox = ''; 
$title = "POP3"; 

# html header о
require("$default->include_dir/doctype.inc"); 
require("$default->include_dir/header-pop3.inc" ); 

$errormsg = ''; 

if (!@isset($oldpop3name)) 
	$oldpop3name = ''; 

if (!@isset($pop3pass)) 
	$pop3pass = ''; 

if (!@isset($pop3expunge)) 
	$pop3expunge = 'N';

if (@isset($actionID)) { 

	switch($actionID) { 

	case NO_ACTION: 
		break; 
	
	# ϵ pop3 
	case DELETE_POP3: 
		if ($pop3name && $pop3server && $pop3user) { 
			$pop3name = @urlencode($pop3name); 
			$pop3server = @urlencode($pop3server); 
			$pop3user = @urlencode($pop3user); 
			$pop3pass = @urlencode($pop3pass); 

			if (!(delete_pop3($pop3name, $pop3server, $pop3user, $Uindex))) { 
				$errormsg = 'the entry was not deleted !'; 
			} 
		} 
		break; 

	# pop3 ϱ
	case ADD_POP3: 
		if ($pop3name && $pop3server && $pop3user && $pop3expunge) { 
			$pop3imsi = $pop3name; $pop3name = @urlencode($pop3name); 
			$pop3server = @urlencode($pop3server); 
			$pop3user = @urlencode($pop3user); 
			$pop3pass = @urlencode($pop3pass); 
			$add_check_pop3 = add_pop3($pop3name, $pop3server, $pop3user, $pop3pass, $pop3expunge,$Uindex); 

			if ($add_check_pop3 != 1) { 
				$errormsg = 'the entry was not created !'; 
				echo ("<script>alert('$lang->pop3_error')</script>"); 
			} 
			else 
				echo ("<script>alert('$pop3imsi $lang->pop3_result')</script>");
		} 
		break; 

	# pop3 ϱ
	case UPDATE_POP3: 
		if ($oldpop3name && $oldpop3server && $oldpop3user && $pop3server && $pop3user && $pop3expunge) { 
			$pop3imsi = $pop3name; 
			$pop3name = @urlencode($pop3name); 
			$pop3server = @urlencode($pop3server); 
			$pop3user = @urlencode($pop3user); 
			$pop3pass = @urlencode($pop3pass); 
			$update_check_pop3 = update_pop3($oldpop3name, $oldpop3server, $oldpop3user, $pop3name, $pop3server, $pop3user, $pop3pass, $pop3expunge, $Uindex, !$pop3pass); 

			if ($update_check_pop3 != 1) { 
				$errormsg = 'the entry was not changed !'; 
				echo ("<script>alert('$lang->pop3_error')</script>"); 
			} 
			else 
				echo ("<script>alert('$pop3imsi $lang->pop3_result2')</script>"); 
		} 
		break;
	}
} 

# POP3  о ϴ ƾ
if ($errormsg) 
	status($errormsg); 

require("$default->include_dir/select/folder_list.inc"); 

$option2 = '<option value="INBOX">'.$lang->pop3_inbox. '</option>'; 
$option2 .= '<option value="'.$default->sent_mail.'">'.$lang->pop3_sentbox. '</option>'; 
$option2 .= '<option value="temp_box">'.$lang->pop3_tempbox. '</option>'; 
$option2 .= '<option value="deletebox">'.$lang->pop3_delbox. '</option>'; 

for($i=0;$i<$cnt;$i++) { 
	$row_fol[$i]=$folder_return[$i]; 

	if(@strstr(@urldecode($row_fol[$i]),@chr("1"))) { 
		$r_value = @explode(@chr("1"),@urldecode($row_fol[$i])); 
		$option2 .= '<option value="'.$row_fol[$i].'"> &nbsp;&nbsp;&nbsp;&nbsp;' .str_replace('\"','"',$r_value[1]).'</option>'; 
	} 
	else { 
		$option2 .= '<option value="'.$row_fol[$i].'">'.@str_replace('\"','"',@urldecode($row_fol[$i])).'</option>'; 
	} 
} 

$pop3s = get_pop3s($Uindex); 
$options = ''; 

if (@isset($pop3s) && @is_array($pop3s)) { 
	for ($i = 0; $i < @count($pop3s); $i++) { 
		if (@is_array($pop3s[$i]) && @sizeof($pop3s[$i] > 1)) { 
			$options .= '<option value="' . $pop3s[$i][0] . '">' . @htmlspecialchars(@urldecode($pop3s[$i][0])) . "\n"; 
		} 
	} 
} 

# html_footer. о
require("$default->include_dir/pop3/pop3.inc"); 
require("$default->include_dir/pop3/javascript.inc"); 
require("$default->include_dir/generic-footer.inc" ); 

?>
