<?php 

$need_neo_db = 1; 
$db_lib_loaded = 0; 

# neo.lib  ׿ ʿ  
if (!defined("NEO_LIB")) 
	include ('./lib/neo.lib'); 

require( './lib/neomail.lib' ); 
require( './config/defaults.php3' ); 
require('./config/html.php3'); 
require( './lib/filter.lib' ); 

$this_client = new WebClient; 
error_reporting($default->error_level);  

#  
$language = select_lang(); 

#  ¿  locale о
require ("./locale/$language/filter.lang"); 
require ("./locale/local/filter.lang"); 
require( './lib/folder.lib' );

$session = create_session_object(); 
$user = $session->get_user(); 
$Uindex = $session->get_uid(); 
$pass = $session->get_password($user); 
$server = $session->get_server(); 
$port = $session->get_port(); 
$folders = $session->get_folder(); 
$mailbox = ''; 

# Է¹ Ʈ urlencode ϱ
function clean_names($filter_name, $v1, $v2, $autoreply) 
{ 
	$filter_name = @urlencode($filter_name); 
	$v1 = @urlencode($v1); 
	$v2 = @urlencode($v2); 
	$autoreply = @urlencode($autoreply); 
} 

$title = "Filter"; 
require("$default->include_dir/doctype.inc"); 
require("$default->include_dir/header-filter.inc"); 

$errormsg = '';  

if (!@isset($new_enable)) 
	$new_enable = 'N'; 

if (!@isset($new_ar_enable)) 
	$new_ar_enable = 'N'; 

if (!@isset($old_filter)) 
	$old_filter = ''; 

if (@isset($actionID)) { 

	switch($actionID) { 

	case NO_ACTION: 
		break; 

	#  
	case DELETE_FILTER: 
		if ($old_filter != '') { 
			if (!(delete_filter($old_filter, $Uindex))) { 
				$errormsg = '<font color=red><b>WARNING:</b></font> the entry was not deleted !'; 
			} 
		} 
		break; 

	#  ߰ 
	case ADD_FILTER: 
		if(!isset($new_autoreply)) 
			$new_autoreply = ''; 

		if ($new_filter != '' && $new_f1 != '' && $new_v1 != '' && $new_f2 != '' && $new_folder != '') { 
			$imsi_filter = $new_filter; 
			$clean_filter = $new_filter; 
			$clean_v1 = $new_v1; 
			$clean_v2 = $new_v2; 
			$clean_autoreply = $new_autoreply;  
			clean_names(&$clean_filter, &$clean_v1, &$clean_v2, &$clean_autoreply); 
			$add_check_filter = add_filter($clean_filter, $new_f1, $clean_v1, $new_f2, $clean_v2, $new_folder, $new_enable, $clean_autoreply, $new_ar_enable, $Uindex); 

			if($add_check_filter != 1) { 
				echo("<script>alert('$lang->filter_error');</script>"); 
				$errormsg = '<font color=red><b>ERROR:</b></font> the entry was not created !'; 
			} 
			else { 
				echo("<script>alert('$imsi_filter $lang->filter_create')</script>"); 
			} 
		} 
		break; 

	#  
	case UPDATE_FILTER: 
		if(!isset($new_autoreply)) 
			$new_autoreply = ''; 

		if ($old_filter != '' && $new_filter != '' && $new_f1 != '' && $new_v1 != '' && $new_f2 != '' && $new_folder != '') { 
			$imsi2_filter = $new_filter; 
			$imsi3_filter = @urldecode($old_filter); 
			$clean_filter = $new_filter; 
			$clean_v1 = $new_v1; 
			$clean_v2 = $new_v2; 
			$clean_autoreply = $new_autoreply; 
			clean_names(&$clean_filter, &$clean_v1, &$clean_v2, &$clean_autoreply); 
			$update_check_filter = update_filter($old_filter, $clean_filter, $new_f1, $clean_v1, $new_f2, $clean_v2, $new_folder, $new_enable, $new_ar_enable, $clean_autoreply, $Uindex); 

			if($update_check_filter != 1) { 
				$errormsg = '<font color=red><b>ERROR:</b></font> the entry was not changed !'; 
				echo("<script>alert('$lang->filter_error');</script>"); 
			} 
			else { 
				echo("<script>alert('$imsi2_filter $lang->filter_modify')</script>"); 
			} 
		} 
		break; 

	#  
	case APPLY_FILTER: 
		mbox_apply_filter("filter", "red", $Uindex) ; 
		break; 
	} 
} 

$no_table_frame = false; 
$sidebar = false; 

if ($errormsg) 
	status("$errormsg"); 

require("$default->include_dir/select/folder_list.inc"); 
$option2 = '<option value="INBOX">'.$lang->filter_inbox. '</option>'; 
$option2 .= '<option value="'.urlencode($default->sent_mail).'">'.$lang->filter_sentbox. '</option>'; 
$option2 .= '<option value="temp_box">'.$lang->filter_tempbox. '</option>'; 
$option2 .= '<option value="deletebox">'.$lang->filter_delbox. '</option>'; 

for ($i=0; $i<$cnt; $i++) { 
	if(@strstr(@urldecode($folder_return[$i]),@chr("1"))) { 
		$r_value = @explode(@chr("1"),@urldecode($folder_return[$i])); 
		$option2 .= '<option value="'.$folder_return[$i].'"> &nbsp;&nbsp;&nbsp;&nbsp;' .@str_replace('\"','"',$r_value[1]).'</option>'; 
	} 
	else { 
		$option2 .= '<option value="'.$folder_return[$i].'">'.@str_replace('\"','"',@urldecode($folder_return[$i])).'</option>'; 
	} 
} 

$filters = get_filters($Uindex); 
$options= ''; 

if (@is_array($filters)) { 
	$temp=$filters[0];  
	$debugstr = "count = " . @count($filters); 

	for ($i = 0; $i < @count($filters); $i++) { 
		$filter = $filters[$i];  

		if ($i != 0) 
			$options .= '<option value="' . $filters[$i][0] . '"> '. @urldecode($filters[$i][0]).'</option>\n'; 
		else 
			$options .= '<option value="' . $filters[$i][0] . '" selected> '. @urldecode($filters[$i][0]).'</option>\n'; 
	} 
} 

require("$default->include_dir/filter/filter.inc"); 

if (@isset($filters) && @is_array($filters)) { 
	include("$default->include_dir/filter/info_header.inc"); 
	$target_name = @array('Subject'=>$lang->subject_string, 'From'=>$lang->from_string, 'To'=>$lang->to_string, 'Cc'=>$lang->cc_string); 

	for ($i = 0; $i < @count($filters); $i++) { 
		$filter = $filters[$i]; 
		$label = $filter[5]; 

		if (strcmp($folders, @substr($label,0,@strlen($folders)))==0) 
			$label = @substr($label,@strlen($folders)); 

		if (strcmp($default->personal_folders, @substr($label,0,@strlen($default->personal_folders)))==0) 
			$label = @substr($label, @strlen($default->personal_folders)); 

		$label = @htmlspecialchars(@urldecode($label)); 

		if ($label == 'INBOX') 
			$label = $lang->inboxlabel; 

		if ($label == $default->sent_mail) 
			$label = $lang->sent_maillabel; 

		if ($label == 'temp_box') 
			$label = $lang->filter_tempbox; 

		if ($label == 'deletebox') 
			$label = $lang->filter_delbox; 

		include("$default->include_dir/filter/info_summaries.inc"); 
	} 
} 

include("$default->include_dir/filter/info_footer.inc"); 
require("$default->include_dir/filter/javascript.inc"); 

if($actionID==APPLY_FILTER) { 
	require("$default->include_dir/filter/refresh_js.inc"); 
} 

require("$default->include_dir/generic-footer.inc"); 
@mysql_close($conn); 

?>
