<?php 

function mbsubstr($string, $start, $length) 
{ 
	if ($start + $length > @strlen($string)) 
		return @substr($string, $start, $length); 

	for ($i = 0; $i <= $length; $i+=$clen) 
		$clen = @ord($string[$start+$i]) >= 128 ?  2 : 1; 
	return @substr($string, $start, $i - $clen); 
} 

$need_neo_db = 0; 
$db_lib_loaded = 0; 
require ('./lib/neo.lib'); 
require ('./lib/neomail.lib'); 
require ('./config/defaults.php3'); 
require ('./lib/filter.lib'); 
require ('./config/html.php3'); 
require ('./config/mailbox.php3'); 

$language = select_lang(); 
require ("./locale/$language/message.lang"); 
require ("./locale/local/message.lang"); 
$Lang_From = $lang->from; 
$Lang_Subject = $lang->subject; 

$language = select_lang(); 
require ("./locale/$language/status.lang"); 
require ('./locale/local/status.lang'); 

$this_client = new WebClient; 
error_reporting($default->error_level); 

$session = create_session_object(); 
$user = $session->get_user(); 
$pass = $session->get_password($user); 
$server = $session->get_server(); 
$port = $session->get_port(); 
$folders = $session->get_folder(); 
$Uindex = $session->get_uid(); 

if (!@isset($mailbox) || $mailbox == '') 
	$mailbox = 'INBOX'; 

$imap_server=$default->server; 
$title = $lang->status_title; 
$sidebar = true; 

require("$default->include_dir/doctype.inc"); 

if (!(@isset($reason) && $reason == 'init')) { 

	if (@isset($default->refresh_delay) && @isset($user) && $user != '') {  
		$refresh = true; 

		if (@isset($default->newmail_popup) && $default->newmail_popup) { 
			$mbox = validate_login($imap_server, $port, 'INBOX', $user, $pass); 
			$mailinfo = @imap_mailboxmsginfo($mbox); 

			if (is_object($mailinfo) && $mailinfo->Recent > 0) { 
				$lang->newmail_msg=str_replace("count",$mailinfo->Recent,$lang->newmail_msg); 
				mysql_imap($server,$mbox,$user,$mailbox); 
				mbox_apply_filter("string", "red"); 
		
				echo ("
					<script>
					onLoad='mail_popup()';
					alert('$lang->newmail_msg');
					parent.neomailhead.location.reload();
					parent.neomailfolder.location.reload();
					</script>
				"); 
			} 
		} 
	} 
} 

require("$default->include_dir/header-status.inc"); 
require("$default->include_dir/status/body.inc"); 
require("$default->include_dir/generic-footer.inc"); 

?>
